include:
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: 1.36.1-bin
      suffix: bin
      stage-suffix: -bin
      buildx-args: --file bin.dockerfile
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: 1.36.1
      buildx-args: --file ubuntu.dockerfile

stages:
- docker-build-bin
- docker-deploy-bin
- docker-build
- docker-deploy